The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

httpd config remain some config

Discussion in 'General Discussion' started by activa, Jan 31, 2008.

  1. activa

    activa Well-Known Member

    Joined:
    May 23, 2006
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Morocco
    cPanel Access Level:
    Root Administrator
    i have built apache in some mounth ago to apache 2.2.6 . but when i want to make tweaking the apache i don't have this in the httpd config !!!!!

    Code:
    ServerLimit 16
    StartServers 2
    MaxClients 150
    MinSpareThreads 25
    MaxSpareThreads 75
    ThreadsPerChild 25 

    this is normal ? when chould i add this manualy ?

    thanks
     
  2. activa

    activa Well-Known Member

    Joined:
    May 23, 2006
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Morocco
    cPanel Access Level:
    Root Administrator
    also when i want to rebuil apache with EA3 i get this error at the end of the proccess



    Code:
    Distilled successfully
    !! Failed to generate a syntactically correct Apache configuration (/usr/local/apache/conf/httpd.conf.1201827512):
    Syntax error on line 238 of /usr/local/apache/conf/httpd.conf.1201827512:
    <VirtualHost> directive requires additional arguments
     !!
    !! Archiving successful build so it can be restored via --restore-archive once the httpd.conf are resolved !!
    !! Done Archiving successful build !!
    !! Restoring original working apache !!
    !! Executing '/scripts/initfpsuexec' !!
     
  3. Infopro

    Infopro cPanel Sr. Product Evangelist
    Staff Member

    Joined:
    May 20, 2003
    Messages:
    14,455
    Likes Received:
    195
    Trophy Points:
    63
    Location:
    Pennsylvania
    cPanel Access Level:
    Root Administrator
    Twitter:
  4. activa

    activa Well-Known Member

    Joined:
    May 23, 2006
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Morocco
    cPanel Access Level:
    Root Administrator
    but how this directive haas ben disappeared ?¿¿¿¿¡¡¡¡

    and how should i add them to the httpd config .
     
  5. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    If you didn't follow the directions in the previously mentioned documentation, it is likely custom directives placed directly into httpd.conf would have been removed/replaced automatically when running EasyApache (WHM -> Software -> Apache Update).
     
  6. activa

    activa Well-Known Member

    Joined:
    May 23, 2006
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Morocco
    cPanel Access Level:
    Root Administrator
    yes , they has been disapeared when i have made the upgrade .

    the question now , how i can get it again what chould i add to the httpd.conf and were ?
     
  7. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    If you wish to add something that would typically be added directly to httpd.conf, I'd recommend looking at the documentation Infopro mentioned above.
     
  8. activa

    activa Well-Known Member

    Joined:
    May 23, 2006
    Messages:
    204
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Morocco
    cPanel Access Level:
    Root Administrator
    i have rebuild apache + php . but this has not been added .also i have buil it with prefok mpm but no entries for this in apache conf

    also i have recompiled just php5 and it shom me when i try to recomplie again the apache "php 4 and php 5 installed" .in the config http there are to directive one for php 5 and other for php 4 !!!!!
     
    #8 activa, Feb 1, 2008
    Last edited: Feb 1, 2008
Loading...

Share This Page